API Reference
API Reference

List Trades

List Trades

Query Params
trade_ids
array of strings

Trade ID array, filter trades whose IDs belong to this array

trade_ids
string

Payment status:

  • requires_payment_method: Initial state
  • processing: Payment processing
  • succeeded: Payment successful
string

Cursor for pagination. starting_after is the object ID that defines your position in the list. For example, if you want to get the next page, you can use the last object's ID as the parameter value after getting the object list for the first time. Cannot be used together with ending_before

string

Cursor for pagination. ending_before is the object ID that defines your position in the list. For example, if you want to get the previous page, you can use the first object's ID as the parameter value after getting the object list for the first time. Cannot be used together with starting_after

int32

Pagination parameter, number of items per page, default: 10, interface defaults to sorting by creation time in descending order. Limit: [1, 100]

order_ids
array of strings

Third-party order numbers

order_ids
string

Minimum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

string

Minimum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

string

Maximum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

string

Maximum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

string

Only return Trade for the customer that this customer ID specifies.

Headers
string
required
Defaults to 008e3967-a1b5-48bb-be14-d5bff5092e61

The unique identifier of the request

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json